<?php
/**
 * Alkivia Chameleon.
 * Archives page, for categories, tags, date, etc.
 * 
 * @version		$Rev: 87 $
 * @author		Jordi Canals
 * @package		Themes
 * @subpackage	Chameleon
 * @link		http://alkivia.org/chameleon
 * @license		http://www.gnu.org/licenses/gpl.html GNU General Public License v3
 
	Copyright 2009 Jordi Canals <gpl@alkivia.com>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/**
 * $Id: archive.php 3 2009-04-09 21:33:47Z jcanals $
 * 
 * Archives page
 * Also used for author, categories, tags..
 */

get_header(); ?>

<div id="blogside">
	<?php if (have_posts()) :
		if (is_category()) {		// Category Archive
			echo '<h1>';
			printf(__('Posts for category &#8216;%s&#8217;', 'chameleon'), single_cat_title('', false));
			echo '</h1>';
		} elseif (is_tag()) {		// Tag Archive
			echo '<h1>';
			printf(__('Posts tagged &#8216;%s&#8217;', 'chameleon'), single_cat_title('', false));
			echo '</h1>';
		} elseif (is_day()) { 		// Daily archive
			echo '<h1>';
			printf(__('Articles in date: %s', 'chameleon'), get_the_time(get_option('date_format')));
			echo '</h1>';
		} elseif (is_month()) {	// Monthly archive
			echo '<h1>';
			printf(__('Articles in month: %s', 'chameleon'), get_the_time('F, Y'));
			echo '</h1>';
		} elseif (is_year()) {		// Yearly archive
			echo '<h1>';
			printf(__('Articles in year: %s', 'chameleon'), get_the_time('Y'));
			echo '</h1>';
		} elseif (isset($_GET['paged']) && !empty($_GET['paged'])) {	// Paged Archive
			echo '<h1>';
			printf(__('Archive of %s', 'chameleon'), get_bloginfo('name'));
			echo '</h1>';
		}

		include (TEMPLATEPATH . '/loop.php');
	else : ?>
		<h1><?php _e('There is no content.', 'chameleon'); ?></h1>
		<h1><?php _e("Sorry, you're looking for something that's not here", 'chameleon'); ?></h1>
		<?php include (TEMPLATEPATH . "/searchform.php"); ?>
	<?php endif; ?>
	<br />
</div> <!-- End Blogside -->

<?php
	get_sidebar();
	get_footer();
?>