<?php
/**
 * Alkivia Chameleon.
 * Manages comments for posts and pages.
 * 
 * @version		$Rev: 87 $
 * @author		Jordi Canals
 * @package		Themes
 * @subpackage	Chameleon
 * @link		http://alkivia.org/chameleon
 * @license		http://www.gnu.org/licenses/gpl.html GNU General Public License v3
 
	Copyright 2009 Jordi Canals <gpl@alkivia.com>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

// Do not delete these lines
if (isset($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME'])) {
	die ('');	// Silence is gold.
}

if (!empty($post->post_password)) {	// if there's a password
	if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password)	// and it doesn't match the cookie
	{ ?>
		<p class="nocomments"><?php _e('This content is password protected. Fill the password to access this content.', 'chameleon')?></p>
		<?php
		return;
	}
}
?>

<div id="comments">
	<?php if ( $comments )
	{ 
		
	?>
		<h2><?php comments_number(__('No comments', 'chameleon'), __('One comment', 'chameleon'), __('% comments', 'chameleon')); ?> for
		<?php ( is_page() ) ? _e('this page', 'chameleon') : _e('this post', 'chameleon'); ?></h2>

		<ul>
		<?php foreach ($comments as $comment) : ?>
			<li>
				<?php echo get_avatar( $comment, 32 ); ?>
				<?php comment_author_link(); ?><div class="datetime"><?php echo mysql2date(get_option('date_format'), $comment->comment_date) ?> | <?php echo mysql2date(get_option('time_format'), $comment->comment_date); ?></div>
				<?php if ($comment->comment_approved == '0') : ?>
					<span class="moderate"><?php _e('Your comment is hold for moderation.', 'chameleon'); ?></span>
				<?php endif; ?>
				<br />
				<small><?php edit_comment_link(__('Edit comment', 'chameleon'), '&nbsp;', ''); ?></small>
				
				<?php comment_text() ?>
			</li>
		<?php endforeach; ?>
		</ul>
		
		<?php if ('closed' == $post->comment_status)
		{ 
			if ('open' == $post->ping_status) { ?>
				<p class="nocomments"><?php _e('Only pingbacks allowed.', 'chameleon'); ?></p>
			<?php } else { ?>
				<p class="nocomments"><?php _e('No comments allowed.', 'chameleon'); ?></p>
			<?php }
		} ?>
	<?php
	}
	else
	{
		if ( 'closed' == $post->comment_status && 'open' == $post->ping_status )
		{ ?>
			<p class="nocomments"><?php _e('Only pingbacks allowed.', 'chameleon'); ?></p>
		<?php }
	} ?>


	<?php if ('open' == $post->comment_status)
	{ ?>
		<h2 id="respond"><?php _e('Add your comment', 'chameleon'); ?></h2>
		<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
			<p><?php printf(__('You have to <a href="%s">register</a> to add a comment.', 'chameleon'), get_option('siteurl') .'/wp-login.php?redirect_to='. get_permalink()) ?></p>
		<?php else :
			echo apply_filters('chameleon_comments_warning', '');
		?>
			<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="postform">
			<table width="90%" cellpadding="3" cellspacing="0" border="0">
			<?php if ( is_user_logged_in() )
			{ ?>
				<tr><td colspan="2">
					<p><?php _e('Logged in as', 'chameleon')?> 
					<a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>&nbsp; |&nbsp;
					<a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout&amp;_wpnonce=<?php echo wp_create_nonce('log-out'); ?>"><?php _e('Logout', 'chameleon'); ?> &raquo;</a></p>
				</td></tr>
			<?php }
			else
			{ ?>
				<tr>
					<td align="right" nowrap="nowrap">
						<?php _e('Your name', 'chameleon'); ?>:
					</td><td align="left">
						<input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="35" tabindex="1" />&nbsp;
						<span class="info"><?php if ($req) _e('Required', 'chameleon'); ?></span>
					</td>
				</tr><tr>
					<td align="right" nowrap="nowrap">
						<?php _e('Email address', 'chameleon'); ?>:
					</td><td align="left">
						<input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="35" tabindex="2" />&nbsp;
						<span class="info"><?php if ($req) _e('Required', 'chameleon'); ?></span>
					</td>
				</tr><tr>
					<td align="right" nowrap="nowrap">
						<?php _e('Site URL', 'chameleon')?>:
					</td><td align="left">
						<input type="text" name="url" id="openid_url" value="<?php echo $comment_author_url; ?>" size="35" tabindex="3" />
						<?php if ( function_exists('openid_input') ) { ?>
							<span class="info">
							<a href="http://openid.net" target="_blank"><?php _e('OpenID enabled', 'chameleon'); ?></a>
							</span>
						<?php } ?>
					</td>
				</tr>
			<?php } ?>
				<tr>
					<td align="right" valign="top" nowrap="nowrap">
						<?php _e('Your comment', 'chameleon'); ?>:
					</td><td align="left">
						<textarea name="comment" id="comment" cols="40" rows="10" tabindex="4"></textarea>
				</td></tr>
				<tr>
					<td>&nbsp;</td>
					<td align="left">
						<input name="submit" type="submit" id="submit" tabindex="5" value="Enviar Comentari" />
						<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
					</td>
				</tr>
			</table>

			<?php do_action('comment_form', $post->ID); ?>
			</form>
		<?php endif; 
	} ?>
</div> <!--  End Comments -->
