<?php
/**
 * Manages the theme settings page.
 * 
 * @version $Rev: 116 $
 * @author Jordi Canals <jcanals@gmail.com>
 * @link http://wind-theme.googlecode.com/
 * @link http://txanny.cat
 * @license http://www.fsf.org/licensing/licenses/gpl.html GNU General Public License v3
 * @package Themes
 * @subpackage Wind
 */

// File cannot be called directly
if (isset($_SERVER['SCRIPT_FILENAME']) && 'settings.php' == basename($_SERVER['SCRIPT_FILENAME'])) {
	die ('Please do not load this page directly. Thanks!');
}

if ( isset($_REQUEST['updated']) && 'true' == $_REQUEST['updated'] ) {
	echo '<div id="message" class="updated fade"><p><strong>'.__('Options Updated.', 'chameleon').'</strong></p></div>';
}
include_once ( dirname(__FILE__) .'/framework/filesystem.php' );
include_once ( dirname(__FILE__) .'/framework/formating.php' );

global $cham_theme_data, $cham_settings; //  = get_option('chameleon_settings');
$cham_styles = akv_dir_content(dirname(__FILE__) . '/styles', 'extensions=css&tree=0&with_ext=0');

if ( 'POST' == $_SERVER['REQUEST_METHOD'] ) {
	check_admin_referer('chameleon-theme-settings');
	
	if ( isset($_POST['action']) && 'update' == $_POST['action'] ) {
		$cham_settings = stripslashes_deep($_POST['cham_settings']);
		update_option('chameleon_settings', $cham_settings);
		akv_admin_notify(__('Settings Updated.', 'chameleon'));
	} else { // Missing action
		wp_die('Bad form received.', 'chameleon');
	}	
}

?>

<div class="wrap">
	<div id="icon-chameleon-admin" class="icon32"></div>
	<h2><?php _e('Chameleon Theme Settings', 'chameleon') ?></h2>
	
	<table id="akmin">
	<tr>
		<td class="content">
			<form method="post" action="themes.php?page=chameleon">
			<?php wp_nonce_field('chameleon-theme-settings'); ?>
			<fieldset>
			
			<dl>
				<dt><?php _e('Styles', 'chameleon')?></dt>
				<dd>
					<table width="100%" class="form-table">
					<tr>
						<th scope="row"><?php _e('Style palette:', 'chameleon') ?></th> 
						<td>
							<select name="cham_settings[style]" tabindex="1">
							<?php foreach ($cham_styles as $theme_sheet) {
								echo "<option value='{$theme_sheet}'";
								selected($theme_sheet, $cham_settings['style']);
								echo "> " . ucfirst($theme_sheet) . " </option>";
							} ?>
							</select>
						</td>
					</tr>
					<tr>
						<th scope="row"><?php _e('Show favicon?', 'chameleon') ?></th> 
						<td>
							<input type="radio" name="cham_settings[favicon]" value="1"<?php checked('1', $cham_settings['favicon']); ?> /> <?php _e('Yes', 'chameleon'); ?> &nbsp;&nbsp;
							<input type="radio" name="cham_settings[favicon]" value="0"<?php checked('0', $cham_settings['favicon']); ?> /> <?php _e('No', 'chameleon'); ?>
						</td>
					</tr>
					<tr>
						<th scope="row"><?php _e('Users can switch styles?', 'chameleon') ?></th> 
						<td>
							<input type="radio" name="cham_settings[switch_styles]" value="1"<?php checked('1', $cham_settings['switch_styles']); ?> /> <?php _e('Yes', 'chameleon'); ?> &nbsp;&nbsp;
							<input type="radio" name="cham_settings[switch_styles]" value="0"<?php checked('0', $cham_settings['switch_styles']); ?> /> <?php _e('No', 'chameleon'); ?>
						</td>
					</tr>
					</table>
				</dd>
			</dl>
			
			<dl>
				<dt><?php _e('Menu Links', 'chameleon'); ?></dt>
				<dd>
					<table width="100%" class="form-table">


			<tr>
				<th scope="row"><?php _e('Menu Home Link?', 'chameleon') ?></th> 
				<td>
					<input type="radio" name="cham_settings[home_link]" value="1"<?php checked('1', $cham_settings['home_link']); ?> /> <?php _e('Yes', 'chameleon'); ?> &nbsp;&nbsp;
					<input type="radio" name="cham_settings[home_link]" value="0"<?php checked('0', $cham_settings['home_link']); ?> /> <?php _e('No', 'chameleon'); ?>
				</td>
			</tr>
			<tr>
				<th scope="row"><?php _e('Menu Login/Logout Link?', 'chameleon') ?></th> 
				<td>
					<input type="radio" name="cham_settings[login_link]" value="1"<?php checked('1', $cham_settings['login_link']); ?> /> <?php _e('Yes', 'chameleon'); ?> &nbsp;&nbsp;
					<input type="radio" name="cham_settings[login_link]" value="0"<?php checked('0', $cham_settings['login_link']); ?> /> <?php _e('No', 'chameleon'); ?>
				</td>
			</tr>
			<tr>
				<th scope="row"><?php _e('Menu Admin/Register Link?', 'chameleon') ?></th> 
				<td>
					<input type="radio" name="cham_settings[admin_link]" value="1"<?php checked('1', $cham_settings['admin_link']); ?> /> <?php _e('Yes', 'chameleon'); ?> &nbsp;&nbsp;
					<input type="radio" name="cham_settings[admin_link]" value="0"<?php checked('0', $cham_settings['admin_link']); ?> /> <?php _e('No', 'chameleon'); ?>
				</td>
			</tr>
			</table>
				</dd>
			</dl>
			
			<dl>
				<dt><?php _e('Header and Footer', 'chameleon'); ?></dt>
				<dd>
					<table width="100%" class="form-table">
					<tr>
						<th scope="row"><?php _e('Footer Text:', 'chameleon') ?></th> 
						<td>
							<textarea rows="4" cols="80" name="cham_settings[footer]"><?php echo $cham_settings['footer']; ?></textarea>
						</td>
					</tr>
					</table>
				</dd>
			</dl>
				
			<dl>
				<dt><?php _e('Other Options', 'chameleon'); ?></dt>
				<dd>
					<table width="100%" class="form-table">
					<tr>
						<th scope="row"><?php _e('Enable self pings?', 'chameleon') ?></th> 
						<td>
							<input type="radio" name="cham_settings[self_ping]" value="1"<?php checked('1', $cham_settings['self_ping']); ?> /> <?php _e('Yes', 'chameleon'); ?> &nbsp;&nbsp;
							<input type="radio" name="cham_settings[self_ping]" value="0"<?php checked('0', $cham_settings['self_ping']); ?> /> <?php _e('No', 'chameleon'); ?>
						</td>
					</tr>
					<tr>
						<th scope="row"><?php _e('Comments on pages?', 'chameleon') ?></th> 
						<td>
							<input type="radio" name="cham_settings[page_comments]" value="1"<?php checked('1', $cham_settings['page_comments']); ?> /> <?php _e('Yes', 'chameleon'); ?> &nbsp;&nbsp;
							<input type="radio" name="cham_settings[page_comments]" value="0"<?php checked('0', $cham_settings['page_comments']); ?> /> <?php _e('No', 'chameleon'); ?>
						</td>
					</tr>
					</table>
				</dd>
			</dl>

			<p class="submit">
				<input type="hidden" name="action" value="update" />
				<input type="submit" name="Submit" value="<?php _e('Save Changes', 'chameleon') ?>" class="button-primary" />
			</p>
		</fieldset>
		</form>
	
		<p class="footer"><a href="<?php echo $cham_theme_data['URI']; ?>"><?php echo $cham_theme_data['Name'] . ' ' . $cham_theme_data['Version']?></a> &nbsp;
			&copy; Copyright 2009 <?php echo $cham_theme_data['Author']?></p>
		</td>
		<td class="sidebar">
			<dl>
				<dt>Alkivia Chameleon</dt>
				<dd>
					<ul>
						<li><a href="http://alkivia.org/chameleon" class="theme-home"><?php _e('Theme Homepage', 'chameleon'); ?></a></li>
						<li><a href="http://wordpress.org/tags/alkivia-chameleon?forum_id=5" class="support-forum"><?php _e('Support Forum', 'chameleon'); ?></a></li>
						<li><a href="http://alkivia.org" class="ak-home"><?php _e('Author Homepage', 'chameleon')?></a></li>
						<li><a href="http://alkivia.org/donate" class="donate"><?php _e('Help donating', 'chameleon')?></a></li>
					</ul>
				</dd>
			</dl>
		</td>
	</tr>
	</table>
</div>
