<?php
/**
 * Alkivia Chameleon.
 * Single post page.
 * 
 * @version		$Rev: 88 $
 * @author		Jordi Canals
 * @package		Themes
 * @subpackage	Chameleon
 * @link		http://alkivia.org/chameleon
 * @license		http://www.gnu.org/licenses/gpl.html GNU General Public License v3
 
	Copyright 2009 Jordi Canals <gpl@alkivia.com>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

get_header(); ?>

<div id="blogside">
	<?php if (have_posts()) :
		cham_post_navigator();

		while ( have_posts() ) :
			the_post(); ?>

			<div class="post" id="post-<?php echo $post->ID?>">
				<div class="post-title"><?php the_title(); ?></div>
				<div class="datetime"><?php the_author(); ?> | <?php echo mysql2date(get_option('date_format'), $post->post_date); ?> | <?php echo mysql2date(get_option('time_format'), $post->post_date); ?><br /></div>
			
				<div class="post-content">
					<?php the_content(__('Read more', 'chameleon') . ' &raquo;'); ?>
				</div>
			
				<div class="post-info">
					<div class="info-left"><?php _e('Published in', 'chameleon'); ?> <?php the_category(', '); ?></div>
					<div class="info-right"><?php edit_post_link(__('Edit Post', 'chameleon'), '<span class="info-link">', '</span>'); ?></div>
				</div> <!-- End PostInfo -->
			</div> <!-- End Post -->
		<?php endwhile;
		
		comments_template();
		
	else : ?>
		<h1><?php _e('No content found', 'chameleon'); ?></h1>
		<h1><?php _e("Sorry, you're locking for something that is not here.", 'chameleon'); ?></h1>
		<?php include (TEMPLATEPATH . "/searchform.php"); ?>
	<?php endif; ?>
	<br />
</div> <!-- End Blogside -->

<?php
	get_sidebar();
	get_footer();
?>