<?php
/**
Template Name: Contact Form

 * Alkivia Chameleon. Templates.
 * Contact form template for pages
 * 
 * @version		$Rev: 87 $
 * @author		Jordi Canals
 * @package		Themes
 * @subpackage	Chameleon
 * @link		http://alkivia.org/chameleon
 * @license		http://www.gnu.org/licenses/gpl.html GNU General Public License v3
 
	Copyright 2009 Jordi Canals <gpl@alkivia.com>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

// File cannot be called directly
if (isset($_SERVER['SCRIPT_FILENAME']) && 'tpl-contact.php' == basename($_SERVER['SCRIPT_FILENAME'])) {
	die ('');		// Silence is gold
}

// Process post

if ( 'POST' == $_SERVER['REQUEST_METHOD'] )	// If page is called from the form's post
{
	// Prepare Strings Translation
	$msg_strings = array(	'status' => __('Visitor type:', 'chameleon'),
							'name' => __('Contact name:', 'chameleon'),
							'email' => __('Email:', 'chameleon'),
							'url' => __('Site URL', 'chameleon'));
		
	// Get Form Data
	$user = wp_get_current_user();
	if ( $user->ID )
	{
		$form_data = array(	'status' => __('Registered', 'chameleon'),
							'name' => $user->display_name,
							'email' => $user->user_email,
							'url' => $user->user_url);
	}
	else
	{
		$form_data = array(	'status' => __('Anonymous', 'chameleon'), 
							'name' => trim(strip_tags($_POST['user_name'])),
							'email' => trim($_POST['user_email']),
							'url' => trim($_POST['user_url']));
		$captcha_code = strtoupper(trim($_POST['captcha_code']));
	}
	$msg_text = stripslashes(trim(strip_tags($_POST['user_message'])));
	
	// Check all user data
	$form_error = '';	// There are no error at this moment

	// Check Captcha
	if ( !$user->ID )
	{
		@session_start();
		if ($captcha_code != $_SESSION['captcha_code'])
		{
			$form_error .= __('CAPTCHA code error. Please, reenter the new code.', 'chameleon') . '<br />';
		}
	}
	
	// Check Contact Name
	if ( 3 > strlen($form_data['name']) )
	{
		$form_error .= __('Please, fill your name.', 'chameleon') . '<br />';
	}

	// Check Contact Email
	if ( empty($form_data['email']) || 6 > strlen($form_data['email']) ) 
	{
		$form_error .= __('Please, fill your email address.', 'chameleon') . '<br />';
	}
	elseif ( !is_email($form_data['email']) || eregi("\r", $form_data['email']) || eregi("\n", $form_data['email']) || eregi("%0a", $form_data['email']) || eregi("%0d", $form_data['email']) )
	{
		$form_error .= __('The email address doesn\'t look correct.', 'chameleon') . '<br />';
	}
	// Extra Email address Security. Probably it was alredy done in is_email() function.
	$injection = array(	"/bcc\:/i", "/Content\-Type\:/i", "/Mime\-Version\:/i", "/cc\:/i", "/from\:/i", "/to\:/i", "/Content\-Transfer\-Encoding\:/i");
	$form_data['email'] = ( preg_replace ($injection, '', $form_data['email']) );
	
	// Check there is a message 	
	if ( 10 > strlen($msg_text) )
	{
		$form_error .= __('Your message is too short. Write something longer.', 'chameleon') . '<br />';
	}
	
	// Send the form data
	if ( !isset($form_error) || empty($form_error) )	// If no errors
	{
		// Compose Message
		$mail_extra_headers = 'From: ' . get_bloginfo('name') 
			. ' <' . 'wordpress@' . preg_replace('#^www\.#', '', strtolower($_SERVER['SERVER_NAME'])) . ">\n" 
			. 'Reply-To: ' . $form_data['name'] . ' <' . $form_data['email'] . ">\n";
		
		$mail_body = '';
		foreach ($form_data as $key => $value)
		{
			$mail_body .= $msg_strings[$key] . " $value\n";
		}
		$mail_body .= "\n" . __('MESSAGE:', 'chameleon') . "\n\n{$msg_text}\n\n";
		$subject = apply_filters('chameleon_contact_subject', get_the_title());
		
		// Send Mail
		if ( wp_mail(get_bloginfo('admin_email'), $subject, $mail_body, $mail_extra_headers) )
		{
			$mail_end = 'ok';
		}
		else
		{
			$mail_end = 'error';
		}
	}
}
else	// If not processing the form (when page shows first time)
{
	$form_data = array(	'name' => '',
						'email' => '',
						'url' => '');
	$msg_text = '';

} // End of form post check

// HERE STARTS THE PAGE TEMPLATE

get_header();
?>

<div id="blogside">

	<?php if ( !isset($mail_end) && have_posts() ) :
		while (have_posts()) :
			the_post(); ?>
	
			<div class="post" id="post-<?php echo $post->ID ?>">
				<div class="post-title"><?php the_title(); ?></div>
				<div class="page-content">
					<?php the_content(__('Read more &raquo;', 'chameleon')); ?>
				</div>
			
				<div class="post-info">
					<div class="info-right">
						<?php edit_post_link(__('Edit Page', 'chameleon'), '<span class="info-link">', '</span>'); ?>
					</div>
				</div>
			</div>
		<?php endwhile;
	endif;

	// Start the Post Form 

	if ( 'POST' != $_SERVER['REQUEST_METHOD'] || !isset( $mail_end ) ) 
	{ ?>
		<div id="contact">
			<?php if ( isset($form_error) ) {
				echo "<div align='center'><h3>$form_error</h3></div>"; 
			} ?>
				
			<form action="<?php the_permalink() ?>" method="post" id="postform">
			<table width="90%" cellpadding="3" cellspacing="0" border="0">
			<?php
			if ( is_user_logged_in() )
			{ ?>
				<tr><td colspan="2">
					<p><?php _e('Logged in as', 'chameleon')?>
					<a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>&nbsp; |&nbsp;
					<a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout&amp;_wpnonce=<?php echo wp_create_nonce('log-out'); ?>"><?php _e('Logout', 'chameleon'); ?> &raquo;</a>
				</td></tr>
			<?php }
			else
			{ ?>
				<tr>
					<td align="right" nowrap="nowrap">
						<?php _e('Your Name', 'chameleon'); ?>:
					</td><td align="left">
						<input type="text" name="user_name" value="<?php echo $form_data['name']; ?>" size="35" tabindex="1" />&nbsp;
						<span class="info"><?php _e('Required', 'chameleon'); ?></span>
					</td>
				</tr><tr>
					<td align="right" nowrap="nowrap">
						<?php _e('Email address', 'chameleon')?>:
					</td><td align="left">
						<input type="text" name="user_email" value="<?php echo $form_data['email']; ?>" size="35" tabindex="2" />&nbsp;
						<span class="info"><?php _e('Required', 'chameleon'); ?></span>
					</td>
				</tr><tr>
					<td align="right" nowrap="nowrap">
						<?php _e('Your site URL', 'chameleon'); ?>:
					</td><td align="left">
						<input type="text" name="user_url" value="<?php echo $form_data['url']; ?>" size="35" tabindex="3" />
					</td>
				</tr>
				<tr>
					<td align="right" nowrap="nowrap">
						<?php _e('CAPTCHA code', 'chameleon'); ?>:
					</td>
					<td align="left">
						<img src="<?php bloginfo('template_directory') ?>/images/captcha.php" style="border: 0; margin: 0; vertical-align: middle;" />&nbsp;
						<?php _e('Copy the code', 'chameleon'); ?>&nbsp; &raquo; &nbsp;<input type="text" name="captcha_code" size="6" tabindex="4" style="vertical-align: middle;" />
					</td>
				</tr>
			<?php } ?>
				<tr>
					<td align="right" valign="top" nowrap="nowrap">
						<?php _e('Your message', 'chameleon'); ?>:
					</td><td align="left">
						<textarea name="user_message" cols="50" rows="10" tabindex="5"><?php echo $msg_text; ?></textarea>
					</td>
				</tr><tr>
					<td>&nbsp;</td>
					<td>
						<input name="submit" type="submit" tabindex="6" value="<?php _e('Send message', 'chameleon'); ?>" />
					</td>
				</tr>
			</table>
			</form>
		</div>
	<?php }
	elseif ( isset($mail_end) ) 
	{
		if ( $mail_end == 'ok' )
		{ ?>
			<div align="center">
				<br />
				<h1><?php _e('Your message has been sent. Thanks for your comments!', 'chameleon'); ?></h1>
				<?php echo apply_filters('chameleon_mail_sent', ''); ?>
			</div>
		<?php }
		else
		{ ?>
			<div align="center">
				<br />
				<h1><?php _e('Sorry, there was an error sending your message.', 'chameleon'); ?></h1>
				<h1><?php _e('Please, try it again in some minutes.', 'chameleon'); ?></h1>
			</div>
		<?php }
	} ?>
			
</div> <!--  End BlogSide -->

<?php
	get_sidebar();
	get_footer();
?>
